// Copyright 2007 Rene Laterveer
// All rights reserved

//
// emulate Dashboard
//

window.widget = 1;

var widget = new Object();

widget.persistentSettingFile = System.Gadget.path + "\\..\\com.smsmac.plist";

widget.plist = new Array();

widget.loadPreferencesFile = function(plistFile) {
	if (plistFile == null)
		plistFile = widget.persistentSettingFile;
	widget.plist = parsePListFile(plistFile);
	for (key in widget.plist) {
		var value = new String(widget.plist[key]);
		var type = 'string';
		if (value.match(/[^\d\-\.]/))
			type = 'string';
		if (value.match(/^-?\d+$/))
			type = 'integer';
		if (value.match(/^-?\d*\.\d+$/))
			type = 'real';
	}
}

widget.savePreferencesFile = function(plistFile) {
	if (plistFile == null)
		plistFile = widget.persistentSettingFile;
	writePListFile(plistFile, widget.plist);
}


widget.setPreferenceForKey = function(s, key) {
	widget.plist[key] = s;
}

widget.preferenceForKey = function(key) {
	var s;
	s = widget.plist[key];
	if (s == undefined)
		s = null;
	return s;
}

widget.openURL = function(url) {
	window.open(url);
}

widget.identifier = '';

var ScriptObject = new Object();

ScriptObject.savepin = function(dummy) {
}

ScriptObject.storepin = function(dummy) {
}

ScriptObject.getpin = function() {
}

ScriptObject.getusers = function() {

	// collContact is a collection of System.Contact objects.
	var collContact = System.ContactManager.Contacts; 
	var  iCount = System.ContactManager.Contacts.count;
	var i;
	var result = "";
	
	for (i=0; i<iCount; i++) {
		// oContact is a System.Contact object. 
		var oContact = collContact.item(i);  
		
		// strContactCity is the value of the city property of oContact.
		var strContactCity = oContact.city;
		var strContactName = oContact.name;
		var strContactMobile = oContact.mobilePhone;
		
		if (strContactMobile!="") {
			result = result+
					 strContactName + "\t" +
					 strContactMobile + "\r" + i +
					 "\n" ;
		}
	}
		
	return result;
}

ScriptObject.getgroups = function() {
}

ScriptObject.getgroupcontents = function(uid) {
}

ScriptObject.isUnicode = function(txt) {
	return isUnicode(txt);
}

ScriptObject.escape = function(txt) {
	return pescape(txt);
}


//
// end Dashboard emulation
//


// are we running in Vista Sidebar?
function isGadget()
{
	try {
		var dummy = System;
		return true;
	} catch (err) {
		return false;
	}
}

function log(strOutputString)
{
	// System.Debug.outputString("SMS Mac: " + strOutputString);
}

function alert(strOutputString) {
	log(strOutputString);
}


