// Copyright 2007 Rene Laterveer, SMS Mac
// All rights reserved


var productVersion = "1.7.3";
var productComputerVersion = "0173";

var userColor = 'blue';
var downloadURL = "";
var old_pin_code = "";

var defaultRecipientIndex = -1;

var headerName = "";
var headerTooltip = "";
var gMobile = "";
var recipientName = "";
var recipientIndex = 0;

var signatureLen = 0;

var xpos = 0;
var step = 0;
var checkIndex = 0;
var drawInterval = null;
var checkInterval = null;
var addedKeychain = false;

var update = false;
var buySMS = false;
var expired = false;
var email2SMS = false;

var errorMessage = "";
var productURL = "";
var queryURL = "";

var groupSMS = false;
var membersTotal = 0;

var hasAccount = false;

// System.Gadget.onSettingsClosing = SettingsClosing;

function SettingsClosed() {
	widget.loadPreferencesFile();
	headerName = System.Gadget.Settings.readString("headerName");
	gMobile = getMobile();
	setName(headerName);
	userColor = getColor();
	setBackgroundImage();
	updatefontcolor(userColor);
}

function SettingsClosing(event)
{
	if (event.closeAction == event.Action.commit) {
		doneMouseUp();
		widget.savePreferencesFile();
	
		System.Gadget.Settings.writeString("headerName", headerName);
		System.Gadget.Settings.writeString("mobile", gMobile);
		System.Gadget.Settings.writeString("color", userColor);
	}
	
	event.cancel = false;
}
	
function adload() 
{
	var users = "";
	var groups = "";
	
	if (window.widget) {

		// get signature preference
		var signature = getSignature();		
		if (signature != null) {
			signatureLen = getSignatureLen(signature);
		} else {
			signatureLen = 0;
		}
		
		// setTotal(signatureLen);
		
		// get mobile numbers from Address Book
		users = ScriptObject.getusers();

		// get groups from Address Book
		groups = ScriptObject.getgroups();

	}
	
	// build the popup menu
	buildusers(users);
	
	// buildgroups(groups);

}

function buildgroups(groups) 
{
	var uid = "";
	var savedIndex = 0;
	var groupFound = false;
	
	if (groups.length == 0) {
		alert('no groups - empty');
		return;
	}
	
	var list = groups.split('\n');
	list.length -= 1;
	
	// the Address Book is empty
	if (list.length <= 0) {
		alert('no groups');
		return;
	}

	// sort by first characters
	list.sort();
	
	// read preferred group of this instance
	// key = widget.identifier + "-" + "group";
	key = "group";
	uid = widget.preferenceForKey(key);

	// get groups
	var groups = document.getElementById("group");
	groups.options.length = 0;

	// first item in the group popup menu is:
	groups.options[0] = new Option(getLocalizedString('No group'), "", false, false);

	// add items from the Address Book	
	var j = 0;
	for (var i = 0;i<list.length;i++) {
		
		pair = list[i].split('\t');
		if (pair == "" || pair.length != 2)
			continue;
		
		// get name
		var name = pair[0];
		if (name == null || name == "") {
			alert("zero name");
			continue;
		}
		
		// get uid 
		var uniqueID = pair[1];
		if (uniqueID == null || uniqueID == "") {
			alert("no uniqueID for group duo");
			continue;
		}
		
		// add to group list
		groups.options[i+1] = new Option(name, uniqueID, false, false);

		if (uid != null && uniqueID == uid) {
			savedIndex = i+1;
			groupFound = true;
		}
	}

	// select the preferred group
	if (groupFound) {
		groups.selectedIndex = savedIndex;
		
		// show the number of mobiles in group
		groupchanged(groups);
		groupSMS = false; // was set by groupchanged()
		
		// read preferred group of this instance
		// key = widget.identifier + "-" + "mode";
		key = "mode";
		var smsMode = widget.preferenceForKey(key);
		
		// set mobile to group destination
		if (smsMode != null && smsMode == 1) {
			groupSMS = true;
			
			// get name of group
			var groupName = groups.options[savedIndex].text;

			// get uniqe id
			var uid = groups.options[savedIndex].value;

			// get number of mobiles in group
			if (window.widget && uid != "") {
				membersTotal = ScriptObject.getgrouptotal(uid);
			}

			var header = groupName + " (" + membersTotal + ")";
			// setName(header);
			headerName = header;
			
			// set the tooltip
			var toolString = getLocalizedString('To:');
			toolString =  toolString + "\"" + groupName + "\"";
			
			var phoneNumbers = getPhoneNumbersList();
			if (phoneNumbers != -1 && phoneNumbers != "")
				toolString = toolString + ": " + phoneNumbers;
				
			// setHeaderTooltip(toolString);
		}
	}
}

function buildusers(users) 
{
	if (users.length == 0) {
		alert('no users');
		return;
	}

	var list = users.split('\n');
	list.length -= 1;
	
	// the Address Book is empty
	if (list.length <= 0) {
		return;
	}
	
	// sort by first characters
	list.sort();
	
	// get mobile number of instance
	// var key = widget.identifier + "-" + "mobile";
	var key = "mobile";
	var mobile = getMobile();
		
	// split mobile from record ID
	if (mobile != null && mobile != "") {
		var returnIndex = mobile.indexOf('\r');
		if (returnIndex > 0) {
			mobile = mobile.slice(0, returnIndex);
		}
	}
	
	var popup = document.getElementById("popup");
	popup.options.length = 0;
	
	// var popup2 = document.getElementById("popup2");
	// popup2.options.length = 0;

	// first item in the popup menu is:
	var menuitemname = getLocalizedString('Enter');
	popup.options[0] = new Option(menuitemname, "+", false, false);
	// popup2.options[0] = new Option(menuitemname, "", false, false);
	
	// initialize
	var name;
	var number;
	var savedName = "";
	var savedIndex = 0;
	var numberNotFound = true;
	

	// add items from the Address Book	
	var j = 0;
	for(var i = 0;i<list.length;i++) {
		
		pair = list[i].split('\t');
		
		// get name
		name = pair[0];
		if (name == null || name == "") {
			alert("zero name");
			continue;
		}
		
		// get mobile number/uid pair 
		var duo = pair[1];
		if (duo == null || duo == "") {
			alert(name);
			alert("zero duo");
			continue;
		}
		
		// get mobile number and unique ID		
		var combo = pair[1].split('\r');
		if (combo == null || combo.length < 2) {
			alert(name);
			alert("zero combo");
			continue;
		}
		
		// mobile number
		number = combo[0];
		
		// add eMobile label
		if (isEmail(number)) {
			name = name + " (eMobile)";
		}

		// add to main list
		popup.options[i+1] = new Option(name, number, false, false);
		
		if (mobile != null && mobile == number) {
			savedName = name;
			savedIndex = i+1;
			numberNotFound = false;
		}
	}
	
	
	if (numberNotFound) {
		setName(getLocalizedString('Click Me'));
	} else {
		// get first part
		var firstName = savedName.split(' ');
		if (firstName.length > 0) {
			savedName = firstName[0];
		}
		
		// show first part
		setName(savedName);

		// select the popup menu
		popup.selectedIndex = savedIndex;
		
		// fill in default mobile number
		if (mobile != null) {
		
			// if (!isEmail(mobile))
			//	mobile = internationalNumber(mobile);
				
			document.getElementById("to").value = mobile;
			
			setHeadTooltip(savedName, mobile);
		}
	}

}

function isEmail(emailAddress) {
	

	emailAddress = new String(emailAddress);
	var tp = typeof emailAddress;
	
	var flag = false;

	if (emailAddress && emailAddress.match(/^(.+)@(.+)\.(.+)$/)) {
		flag = true;
	}

	return flag;
}

function internationalNumber(number) {
	if (number == null || number.length == 0)
		return number;
	
	// strip all formatting
	number = number.replace(/[^0-9+]/g, "");

	// we're done	
	if (number.charAt(0) == '+')
		return number;
		
	if (number.length < 2)
		return number;
		
	// we're done	
	if (number.charAt(0) == '0' && number.charAt(1) == '0')
		return number;

	// strip zero preference
	var stripzero = document.getElementById("stripzero").checked;
	if (stripzero) {
		// strip zero
		var ch = number.charAt(0);
		if (ch == '0') {
			alert('strip zero');
			number = number.substring(1);
			alert(number);
		}
	}
	
	// add country code preference
	var addcountrycode = document.getElementById("addcountrycode").checked;

	// we're done
	if (!addcountrycode) return number;
		
	// add country code
	var countrycode = document.getElementById("countrycode").value;
	if (countrycode != null && countrycode.charAt(0) == '+')
		number = countrycode + number;
	
	return number;
}

function prefchanged(select)
{
	var divID = ['about', 'recipient', /* 'groups',*/ 'account', 'callerID',
	             'country', 'signature', 'reports', 'skins', /* 'emobile', */
				 /* 'update',*/ 'buy'
	            ];
	var index = select.selectedIndex;
	// var helpButton = document.getElementById('help');

	switchDiv(divID[index]);
	
	if (divID[index]=="callerID")
		switchReplyPane(getReplyValue());

	/*
	if (divID[index]=="emobile")
			setPopup2();
	*/

	if (divID[index]=="update")
			showUpdate();
			
	// updateMobileNumber();
}

function getReplyValue() 
{
	var replyprefs = document.getElementById("replyprefs");
	if (replyprefs)
		return replyprefs.selectedIndex;
	var index = 2; // default 'No Reply'
	// index = getReplyValue();
	var data0 = widget.preferenceForKey(createkey("addcaller"));
	if (data0==1)
		index = 0;
	var data1 = widget.preferenceForKey(createkey("replybyemail"));
	if (data1==1)
		index = 1;
	return index;
}

function setReplyValue(replyIndex) 
{
	document.getElementById("replyprefs").options[replyIndex].selected=true;
}

function switchReplyPane(replyMethod)
{
	switch(replyMethod) {
		case 0:
			changeObjectVisibility("replytomobile","visible");
			changeObjectVisibility("replytoemail","hidden");
			changeObjectVisibility("noreply","hidden");
			break;
			
		case 1:
			changeObjectVisibility("replytomobile","hidden");
			changeObjectVisibility("replytoemail","visible");
			changeObjectVisibility("noreply","hidden");
			break;
			
		case 2:
			changeObjectVisibility("replytomobile","hidden");
			changeObjectVisibility("replytoemail","hidden");
			changeObjectVisibility("noreply","visible");
			break;
			
	}
}

function switchDiv(div_id)
{
  var style_sheet = getStyleObject(div_id);
  if (style_sheet)
  {
    hideAll();
    changeObjectVisibility(div_id,"visible");
  }
}

// function hideAll()
//  hides a bunch of divs
//
function hideAll()
{
   changeObjectVisibility("about","hidden");
   changeObjectVisibility("recipient","hidden");
   changeObjectVisibility("groups","hidden");
   changeObjectVisibility("account","hidden");
   changeObjectVisibility("callerID","hidden");
   changeObjectVisibility("country","hidden");
   changeObjectVisibility("signature","hidden");
   changeObjectVisibility("reports","hidden");
   changeObjectVisibility("skins","hidden");
   changeObjectVisibility("update","hidden");
   changeObjectVisibility("buy","hidden");
   changeObjectVisibility("emobile","hidden");
   
   changeObjectVisibility("label21","hidden");
   changeObjectVisibility("download","hidden");
   
   changeObjectVisibility("replytomobile","hidden");
   changeObjectVisibility("replytoemail","hidden");
   changeObjectVisibility("noreply","hidden");
}

// function getStyleObject(string) -> returns style object
//  given a string containing the id of an object
//  the function returns the stylesheet of that object
//  or false if it can't find a stylesheet.  Handles
//  cross-browser compatibility issues.
//
function getStyleObject(objectId) {
  if(document.getElementById && document.getElementById(objectId)) {
        return document.getElementById(objectId).style;
   } else {
        return false;
   }
}

function changeObjectVisibility(objectId, newVisibility) {
    // first get a reference to the cross-browser style object 
    // and make sure the object exists
    var styleObject = getStyleObject(objectId);
    if(styleObject) {
        styleObject.visibility = newVisibility;
        return true;
    } else {
        // we couldn't find the object, so we can't change its visibility
        return false;
    }
}

function updateMobileNumber() {
	var mobile = "";
	var name = getLocalizedString('Unknown');
	
	var select = document.getElementById("popup");
	var defaultRecipientIndex = select.selectedIndex;
	
	if (defaultRecipientIndex == 0) {
		mobile = document.getElementById("to").value;
	} else {
		var dataValue = select.options[defaultRecipientIndex].value;
		var combo = dataValue.split('\r');
		if (combo.length > 0)
			mobile = combo[0];
		name = select.options[defaultRecipientIndex].text;
	}

	// make it international
	// if (!isEmail(mobile))
	//	mobile = internationalNumber(mobile);	
			
	document.getElementById("to").value = mobile;
	
	setHeadTooltip(name, mobile);	
}

function getLocalizedString(key)
{
	try {
	
		var ret = localizedStrings[key];
		if (ret === undefined)
			ret = key;
	
		return ret;
			
	} catch (ex) {}

	return key;
}

function initPrefs() {
	
	widget.loadPreferencesFile();
	
	adload();
	
	// load the preferences
	
	if (window.widget) {
		

		var reply = document.getElementById('signaturetxt');
		if (reply != null)
			reply.value = getLocalizedString('Reply');
		
		// default is 'Reply to Mobile'
		setReplyValue(0);
		
		// default is 'Undefined Caller ID'
		var element = document.getElementById("noalphanumericID");
		element.checked = 1;

		var data = widget.preferenceForKey(createkey("mail"));
		if (data != null)
		{
			var emailAddress = data;
			
			// get email address
			var element = document.getElementById("mail");
			if (data == null)
				data = "";
			element.value = data;
		
			// get PIN code
			data = widget.preferenceForKey(createkey("pin"));
			if (data != null && data.length > 0)
			{
				var element = document.getElementById("pin");
				element.value = data;
								
			} else {
			
				// read PIN from Keychain
				readPIN();
			}
			
			// has account
			data = widget.preferenceForKey(createkey("has"));
			if (data != null)
			{				
				hasAccount = eval(data);
			}
			
			// get caller ID
			data = widget.preferenceForKey(createkey("caller"));
			if (data != null)
			{				
				var element = document.getElementById("caller");
				element.value = data;
			}
			
			// get report email address
			data = widget.preferenceForKey(createkey("reportemailaddress"));
			if (data != null && data != "")
			{				
				var element = document.getElementById("report");
				element.value = data;
			} else {
				var element = document.getElementById("report");
				element.value = emailAddress;
			}

			// get reply email address
			data = widget.preferenceForKey(createkey("replyemailaddress"));
			if (data != null)
			{				
				var element = document.getElementById("replyemailaddress");
				element.value = data;
			}

			// get alphanumeric Caller ID
			data = widget.preferenceForKey(createkey("alphanumericID"));
			if (data != null)
			{				
				var element = document.getElementById("alphanumericID");
				element.value = data;				
			}

			// enable alphanumeric Caller ID
			data = widget.preferenceForKey(createkey("usealphanumericID"));
			if (data != null)
			{				
				var element = document.getElementById("usealphanumericID");
				element.checked = data;
				
				if (data == 1) {
					element = document.getElementById("noalphanumericID");
					element.checked = 0;
				}
			}
			
			var data0 = 0;
			var data1 = 0;
			
			// reply to mobile preference
			data0 = widget.preferenceForKey(createkey("addcaller"));
			if (data0 != null)
			{				
				if (data0 == 1) {
					setReplyValue(0);// reply to mobile
				}
			}

			// reply to email preference
			data1 = widget.preferenceForKey(createkey("replybyemail"));
			if (data1 != null)
			{				
				if (data1 == 1) {
					setReplyValue(1);// reply to email
				}
			}

			// no reply preference
			if (data0 == 0 && data1 == 0) {
				setReplyValue(2);// no reply
			}
			
			// no reply preference
			if (data0 == null && data1 == null) {
				setReplyValue(0);// reply to mobile
			}
			
			// enable delivery reports
			data = widget.preferenceForKey(createkey("delivery"));
			if (data == null && length(document.getElementById("report").value)>0)
				data = true
			if (data == null || data == "false")
				data = false;
			if (data != null)
			{				
				var element = document.getElementById("delivery");
				element.checked = data;
			}

			// enable copy sms
			data = widget.preferenceForKey(createkey("copysms"));
			if (data == null && length(document.getElementById("report").value)>0)
				data = true
			if (data == null || data == "false")
				data = false;
			if (data != null)
			{				
				var element = document.getElementById("copysms");
				element.checked = data;
			}

			// get strip zero
			data = widget.preferenceForKey(createkey("stripzero"));
			if (data != null)
			{				
				var element = document.getElementById("stripzero");
				element.checked = data;
			}

			// enable add country code
			data = widget.preferenceForKey(createkey("addcountrycode"));
			if (data != null)
			{				
				var element = document.getElementById("addcountrycode");
				element.checked = data;
			}

			// get country code
			data = widget.preferenceForKey(createkey("countrycode"));
			if (data != null)
			{				
				var element = document.getElementById("countrycode");
				element.value = data;
			}

			// enable signature
			data = widget.preferenceForKey(createkey("addsignature"));
			if (data == null || data == "false")
				data = false;
			if (data != null)
			{				
				var element = document.getElementById("addsignature");
				element.checked = data;
			}
			
			// get signature
			data = widget.preferenceForKey(createkey("signaturetxt"));
			if (data != null)
			{				
				var element = document.getElementById("signaturetxt");
				element.value = data;
			}
			
		} else {
			// read SMS Mac Address Book plug-in preferences
			readSMSMacPrefs();
		}

		// read preferred color of this instance
		userColor = getColor();
		// var key = widget.identifier + "-" + "color";
		
	}
	
	localizePreferencePanes();

	// localize
	var prefs = document.getElementById('preferences');
	if (prefs != null)
		localizePreferences(prefs);

	switchDiv('recipient'); // select Recipients pane
	preferences.selectedIndex = 1;
}

function localizePreferences(elem) {
		
	
	i = 0;
	elem.options[i++].text = getLocalizedString('About');
	elem.options[i++].text = getLocalizedString('Recipient');
	// elem.options[i++].text = getLocalizedString('Group');
	elem.options[i++].text = getLocalizedString('Account');
	elem.options[i++].text = getLocalizedString('Caller ID');
	elem.options[i++].text = getLocalizedString('Country Code');
	elem.options[i++].text = getLocalizedString('Signature');
	elem.options[i++].text = getLocalizedString('Delivery');
	elem.options[i++].text = getLocalizedString('Skins');
	// elem.options[i++].text = getLocalizedString('eMobile');
	// elem.options[i++].text = getLocalizedString('Update');
	// elem.options[i++].text = getLocalizedString('Buy SMS!');

	
	if (hasAccount)
		elem.options[i++].text = getLocalizedString('Buy SMS!');
	else
		elem.options[i++].text = getLocalizedString('Sign On!');


}

function localizePreferencePanes(){
	
	document.getElementById('label1').innerText = getLocalizedString('Account ID:');
	document.getElementById('label2').innerText = getLocalizedString('PIN code:');
	document.getElementById('label3').innerText = getLocalizedString('To:');
	document.getElementById('label4').innerText = getLocalizedString('Skins:');
	document.getElementById('label5').innerText = getLocalizedString('Add Caller ID');
	document.getElementById('label6').innerText = getLocalizedString('Caller ID:');
	document.getElementById('label7').innerText = getLocalizedString('Add Country Code');
	document.getElementById('label8').innerText = getLocalizedString('Country Code:');
	document.getElementById('label9').innerText = getLocalizedString('Strip Zero');
	document.getElementById('label10').innerText = getLocalizedString('Add Signature');
	document.getElementById('label11').innerText = getLocalizedString('Signature:');
	document.getElementById('label12').innerText = getLocalizedString('Email delivery reports');
	document.getElementById('label14').innerText = getLocalizedString('SMS Mac Info');
	document.getElementById('label15').innerText = getLocalizedString('Email Address:');
	document.getElementById('label16').innerText = getLocalizedString('Alphanumeric Caller ID:');
	document.getElementById('label17').innerText = getLocalizedString('International Format');
	document.getElementById('label18').innerText = getLocalizedString('Email Costs');
	document.getElementById('label19').innerText = getLocalizedString('Alphanumeric Info');
	document.getElementById('label20').innerText = getLocalizedString('Undefined Caller ID');
	document.getElementById('label21').innerText = getLocalizedString('Checking');
	document.getElementById('label22').innerText = getLocalizedString('Send SMS Version');
	document.getElementById('label23').innerText = getLocalizedString('Copyright');
	document.getElementById('label24').innerText = getLocalizedString('Country Info');
	document.getElementById('label25').innerText = getLocalizedString('Signature Info');
	//document.getElementById('label26').innerText = getLocalizedString('Delivery Info');
	document.getElementById('label27').innerText = getLocalizedString('Type Ahead');
	document.getElementById('label28').innerText = getLocalizedString('Skins Info');
	document.getElementById('label29').innerText = getLocalizedString('About SMS Mac');
	// document.getElementById('label30').innerText = getLocalizedString('To:');
	// document.getElementById('label31').innerText = getLocalizedString('eMobile Address:');
	// document.getElementById('label32').innerText = getLocalizedString('To group:');
	// document.getElementById('label33').innerText = getLocalizedString('Number of mobiles:');
	document.getElementById('label34').innerText = getLocalizedString('Copy SMS');
	document.getElementById('label35').innerText = getLocalizedString('Send reports');
	
	
	// show widget version
	showVersion();
	
	/*
	
	// tooltips
	document.getElementById('editdiv').title = getLocalizedString('Enter Text Here');
	document.getElementById('total').title = getLocalizedString('Number Of Characters');
	document.getElementById('unicode').title = getLocalizedString('Unicode Indicator');
	document.getElementById('icon').title = getLocalizedString('Send SMS');
	document.getElementById('eraser').title = getLocalizedString('Erase Screen');
	document.getElementById('flip').title = getLocalizedString('Edit Preferences');

	
	var homeButton = document.getElementById('home');
	createGenericButton(homeButton, 'www.smsmac.com', goHome);	 	

	var doneButton = document.getElementById('done');
	createGenericButton(doneButton, getLocalizedString('Done'), doneMouseUp);	 	

	var helpButton = document.getElementById('help');
	createGenericButton(helpButton, getLocalizedString('Help'), doHelp);	 	
	
	var checkUpdateButton = document.getElementById('checkupdate');
	createGenericButton(checkUpdateButton, getLocalizedString('Check'), doCheckForUpdates, 150);	 	
	
	var downloadButton = document.getElementById('download');
	createGenericButton(downloadButton, getLocalizedString('Download'), doDownloadUpdate, 150);	 	

	var addABButton = document.getElementById('addab');
	createGenericButton(addABButton, getLocalizedString('Add to AB'), doAddEMobile, 150);	 	

	var reloadButton = document.getElementById('reloadc');
	createGenericButton(reloadButton, getLocalizedString('Reload Contacts'), doReloadContacts, 150);	 	

	if (hasAccount) {
		var orderButton = document.getElementById('order');
		createGenericButton(orderButton, getLocalizedString('Buy SMS!'), doOrder, 150);	 	
	} else {
		var orderButton = document.getElementById('order');
		createGenericButton(orderButton, getLocalizedString('Sign On!'), doOrder, 150);	 	
	}
	
	*/

	if (hasAccount) {
		var orderButton = document.getElementById('order');
		orderButton.value = getLocalizedString('Buy SMS!');	 	
	} else {
		var orderButton = document.getElementById('order');
		orderButton.value = getLocalizedString('Sign On!');	 	
	}

}

function savePreferences()
{	
	var addcaller = 0;
	var replybyemail = 0;

	var pin_code = document.getElementById("pin").value;
	var email_address = document.getElementById("mail").value;

	var caller = document.getElementById("caller").value;
	var replyemailaddress = document.getElementById("replyemailaddress").value;
	var reportemailaddress = document.getElementById("report").value;

	var alphanumericID = document.getElementById("alphanumericID").value;
	var usealphanumericID = document.getElementById("usealphanumericID").checked;
	
	var replyValue = document.getElementById("replyprefs").selectedIndex;
	
	switch(replyValue) {
		case 0:
			addcaller = 1;
			break;
			
		case 1:
			replybyemail = 1;
			break;
	}
		
	var delivery = document.getElementById("delivery").checked;
	var copysms = document.getElementById("copysms").checked;

	var signaturetxt = document.getElementById("signaturetxt").value;
	var addsignature = document.getElementById("addsignature").checked;

	var countrycode = document.getElementById("countrycode").value;
	var addcountrycode = document.getElementById("addcountrycode").checked;

	var stripzero = document.getElementById("stripzero").checked;
	
	if (window.widget)
	{
		widget.setPreferenceForKey(pin_code, createkey("pin"));
		widget.setPreferenceForKey(email_address, createkey("mail"));
		widget.setPreferenceForKey(hasAccount, createkey("has"));
				
		if (email_address.length > 0) {
			
			var combined = pin_code + "," + email_address;
			
			if (pin_code != old_pin_code) {
			
				
				ScriptObject.savepin(combined);
				old_pin_code = pin_code;
				
			} else {
				
				// coming from pre-1.5, store PIN if necessary
				if (addedKeychain == false) {
					ScriptObject.storepin(combined);
					addedKeychain = true;
				}
			}
		}
		
		widget.setPreferenceForKey(caller, createkey("caller"));
		widget.setPreferenceForKey(replyemailaddress, createkey("replyemailaddress"));
		widget.setPreferenceForKey(reportemailaddress, createkey("reportemailaddress"));
		widget.setPreferenceForKey(alphanumericID, createkey("alphanumericID"));
		
		widget.setPreferenceForKey(addcaller, createkey("addcaller"));
		widget.setPreferenceForKey(replybyemail, createkey("replybyemail"));
		widget.setPreferenceForKey(usealphanumericID, createkey("usealphanumericID"));

		widget.setPreferenceForKey(delivery, createkey("delivery"));
		widget.setPreferenceForKey(copysms, createkey("copysms"));
 
		widget.setPreferenceForKey(signaturetxt, createkey("signaturetxt"));
		widget.setPreferenceForKey(addsignature, createkey("addsignature"));
		
		widget.setPreferenceForKey(countrycode, createkey("countrycode"));
		widget.setPreferenceForKey(addcountrycode, createkey("addcountrycode"));

		widget.setPreferenceForKey(stripzero, createkey("stripzero"));
	}

	// calculate new signature length
	var signature = getSignature();
	if (signature != null) {
		signatureLen = getSignatureLen(signature);
	} else {
		signatureLen = 0;
	}	
}

function createkey(key)
{
	return key;
	return "SMSMac-" + key;
}

function getSignatureLen(txt) {
	var len = 0;
	var unicode = false;
	
	// determine SMS format
	if (window.widget) {
		if (ScriptObject.isUnicode(txt)) {
			unicode = true;
		}
	}
	
	if (unicode)
		len = txt.length;
	else
		len = gsmLength(txt);
	
	return len;
}

function getSignature() {
	var signaturetxt = widget.preferenceForKey(createkey("signaturetxt"));
	var addsignature = widget.preferenceForKey(createkey("addsignature"));
		
	if (addsignature) {
		if (signaturetxt != null && signaturetxt.length > 0) {
			// insert a new line
			signaturetxt = String.fromCharCode(10) + signaturetxt;
			return signaturetxt;
		}
	} 
		
	return null;
}

function recipientchanged(recipients)
{	
	var phonenumber = "";
	var selectedIndex = recipients.selectedIndex;
	
	if (selectedIndex == 0) {
		document.getElementById("to").value = "+";
	} else {
		// get mobile number and uniqe id
		var dataValue = recipients.options[selectedIndex].value;
		var combo = dataValue.split('\r');
		if (combo.length > 0)
			phonenumber = combo[0];
					
		// make it international
		/*
		if (!isEmail(phonenumber))
			phonenumber = internationalNumber(phonenumber);	
		*/
		
		document.getElementById("to").value = phonenumber;
		
		groupSMS = false;
	}
}

function groupchanged(groups)
{	
	var groupTotal = "n/a";
	
	var selectedIndex = groups.selectedIndex;
	if (selectedIndex != 0) {
		// get uniqe id
		var uid = groups.options[selectedIndex].value;
		
		// get number of mobiles in group
		if (window.widget) {
			membersTotal = ScriptObject.getgrouptotal(uid);
			groupTotal = membersTotal;
		}
		
		groupSMS = true;
	} else
		membersTotal = 0;
	
	// update status text
	var labelText = getLocalizedString('Number of mobiles:');
	document.getElementById('label33').innerText = labelText + groupTotal + ".";
}

function getSelectedGroup()
{
	return 0;
	var uid = "";
	var groups = document.getElementById('group');
	
	// get selected uniqe id
	var selectedIndex = groups.selectedIndex;
	if (selectedIndex != 0) {
		uid = groups.options[selectedIndex].value;
	}
	
	return uid;
}

function getSelectedGroupName()
{	
	var groupName = "";
	var groups = document.getElementById('group');
	
	// get selected uniqe id
	var selectedIndex = groups.selectedIndex;
	if (selectedIndex != 0) {
		groupName = groups.options[selectedIndex].text;
	}
	
	return groupName;
}

function doneMouseUp()
{
	var prefs = document.getElementById("preferences");
	var selectedPref = prefs.selectedIndex;
	var selectedValue = prefs.value;
	
	var phonenumber;
	// phonenumber = document.getElementById("emobi").value;
	phonenumber = "";
	
	// preference panes
	if (selectedValue == "emobile" && phonenumber != "") { // we are in the emobile preference pane
		
		groupSMS = false;
		
		var recipients = document.getElementById("popup2");
		var selectedIndex = recipients.selectedIndex;
		
		if (selectedIndex == 0) {
			name = getLocalizedString('Unknown');
		} else {
			name = recipients.options[selectedIndex].text;
		}
		
		// get first name
		var firstName = name.split(' ');
		if (firstName.length > 0) {
			name = firstName[0];
		}

		document.getElementById("to").value = phonenumber;
		
		// setName(name);
		headerName = name;
		setHeadTooltip(name, phonenumber);
		
		// todo : set the recipients popup menu selected index
		
	} else if (selectedValue == "groups") { // we are in the groups preference pane
	

		groupSMS = true;
		
		// get the selected group index
		var groups = document.getElementById("group");
		var selectedIndex = groups.selectedIndex;
		
		if (selectedIndex == 0) {
			// setName(getLocalizedString('Click Me'));
			headerName = getLocalizedString('Click Me');

			// set the tooltip
			setHeaderTooltip("");
		} else {
			// get name of group
			var groupName = groups.options[selectedIndex].text;
			groupName = groupName + " (" + membersTotal + ")";
			
			// set header of mobile
			setName(groupName);
			headerName = groupName;
						
			// set the tooltip
			var toolString = getLocalizedString('To:');
			toolString =  toolString + "\"" + groupName + "\"";
			
			var phoneNumbers = getPhoneNumbersList();
			if (phoneNumbers != -1 && phoneNumbers != "")
				toolString = toolString + ": " + phoneNumbers;

			gMobile = phoneNumbers;
				
			setHeaderTooltip(toolString);	
		}
		
	} else /* if (selectedValue == "recipient") */ { // we are in the recipients preference pane

		groupSMS = false;
		
		// get the mobile number from the input field
		phonenumber = document.getElementById("to").value;
	
		var recipients = document.getElementById("popup");
		var selectedIndex = recipients.selectedIndex;

		if (selectedIndex == 0) {
			if (phonenumber == null || phonenumber.length <= 1)
				phonenumber = getLocalizedString('Click Me');
			else
				recipients.options[0].value = phonenumber;
				
			//setName(phonenumber);
			headerName = phonenumber;
			gMobile = phonenumber;
			
			// set the tooltip
			var toolString = getLocalizedString('To:');
			toolString =  toolString + phonenumber;
			setHeaderTooltip(toolString);
			
		} else {
			recipientName = recipients.options[selectedIndex].text;

			// get first name
			var firstName = recipientName.split(' ');
			if (firstName.length > 0) {
				recipientName = firstName[0];
			}

			// set name of mobile
			// setName(recipientName);
			headerName = recipientName;
			gMobile = phonenumber;
			
			// set the tooltip
			setHeadTooltip(recipientName, phonenumber);
		}

	}	
	// switch out
	
	// save preferences
	savePreferences();
	saveInstances();
	
/*	
	// animate
	var front = document.getElementById("front");
	var back = document.getElementById("behind");
	
	if (window.widget)
		widget.prepareForTransition("ToFront");
	
	front.style.display="block";
	back.style.display="none";
	
	if (window.widget)
		setTimeout ('widget.performTransition();', 0);
*/

	backside = false;

/*
	// update total etc.
	var txt = document.getElementById("editdiv").value;
	setMetrics(txt);
*/
}

function setHeadTooltip(name, mobile)
{
	var toolTip = getLocalizedString('Mobile Number');
	if (toolTip) {
		toolTip = toolTip.replace(/%s/i, name);
		toolTip = toolTip.replace(/%d/i, mobile);
		
		// setHeaderTooltip(toolTip);
	}
}

function setHeaderTooltip(title)
{
	// var head = document.getElementById("head");
	// head.title = title;
}

function createInstances()
{	
	var mobileNumber = getMobile();
	var groupUID = System.Gadget.Settings.readString("group");
	var smsMode = System.Gadget.Settings.readString("mode");
	userColor = getColor();
	
	if (window.widget) {
		var key;
		
		// key = widget.identifier + "-" + "mobile";
		key = "mobile";
		if (mobileNumber == "") {
			mobileNumber = widget.getPreferenceForKey(key);
		}
		System.Gadget.Settings.writeString(key, mobileNumber);
		
		// key = widget.identifier + "-" + "group";
		key = "group";
		if (groupUID == "") {
			groupUID = widget.getPreferenceForKey(key);
		}
		System.Gadget.Settings.writeString(key, groupUID);
		
		// key = widget.identifier + "-" + "mode";
		key = "mode";
		if (smsMode == "") {
			smsMode = widget.getPreferenceForKey(key);
		}
		System.Gadget.Settings.writeString(key, smsMode);

		// key = widget.identifier + "-" + "color";
		key = "color";
		if (userColor == "") {
			userColor = widget.getPreferenceForKey(key);
			if (userColor == "") {
				userColor = "blue";
			}
		}
		System.Gadget.Settings.writeString(key, userColor);
	}
}

function saveInstances()
{	
	var mobileNumber;
	var groupUID = "";
	var smsMode = 0;
	
	var recipients = document.getElementById("popup");
	var selectedIndex = recipients.selectedIndex;
	
	// get the selected mobile number
	if (selectedIndex == 0) {
		mobileNumber = document.getElementById("to").value;
	} else {
		mobileNumber = recipients.options[selectedIndex].value;
	}

	// get the selected group
	groupUID = getSelectedGroup();

	if (groupSMS)
		smsMode = 1;
		
	if (window.widget) {
		var key;
		
		// key = widget.identifier + "-" + "mobile";
		key = "mobile";
		widget.setPreferenceForKey(mobileNumber, key);
		System.Gadget.Settings.writeString(key, mobileNumber);
		
		// key = widget.identifier + "-" + "group";
		key = "group";
		widget.setPreferenceForKey(groupUID, key);
		System.Gadget.Settings.writeString(key, groupUID);
		
		// key = widget.identifier + "-" + "mode";
		key = "mode";
		widget.setPreferenceForKey(smsMode, key);
		System.Gadget.Settings.writeString(key, smsMode);

		// key = widget.identifier + "-" + "color";
		key = "color";
		widget.setPreferenceForKey(userColor, key);
		System.Gadget.Settings.writeString(key, userColor);
		
		widget.setPreferenceForKey(userColor, "color");
	}
}

function removeInstances()
{
	alert("removing instances");
	
	if (window.widget) {
		var key;
	
		// key = widget.identifier + "-" + "mobile";
		key = "mobile";
		widget.setPreferenceForKey(null, key);
		System.Gadget.Settings.writeString(key, null);

		// key = widget.identifier + "-" + "group";
		key = "group";
		widget.setPreferenceForKey(null, key);
		System.Gadget.Settings.writeString(key, null);

		// key = widget.identifier + "-" + "color";
		key = "color";
		widget.setPreferenceForKey(null, key);
		System.Gadget.Settings.writeString(key, null);
	}
}

function readSMSMacPrefs() 
{
}

function readPIN() 
{
	// read PIN preference
	if (window.widget) {		
		var pin = ScriptObject.getpin();
		if (pin != null) {
			// set UI element
			var element = document.getElementById("pin");
			element.value = pin;
		}
	}
}

function colorchanged(elem)
{
	// find color of skin
	userColor = elem.options[elem.selectedIndex].value;	
	key = "color";
	widget.setPreferenceForKey(userColor, key);

	updatefontcolor(userColor);
}

function updatefontcolor(color)
{
	var elem = document.getElementById("head");
	
	switch(color) {
		case 'red':
		case 'blue':
		case 'green':
		case 'orange':
			elem.style.color='black';
			break;
			
		default:
			elem.style.color='white';
			break;
	}
	
	elem = document.getElementById("total");
	
	switch(color) {
		case 'red':
		case 'blue':
		case 'green':
		case 'orange':
			elem.style.color='#666666';
			break;
			
		case 'white':
			elem.style.color='#FFFFFF';
			break;
			
		default:
			elem.style.color= '#999999';
			break;
	}
	
	elem = document.getElementById("unicode");
	
	switch(color) {
		case 'red':
		case 'blue':
		case 'green':
		case 'orange':
			elem.style.color='#666666';
			break;
			
		case 'white':
			elem.style.color='#FFFFFF';
			break;
			
		default:
			elem.style.color= '#999999';
			break;
	}
	
}

function setBackgroundImage() {
	
	var image = 'images/front.png';
	
	color = getColor();
	
	switch(color) {
		case 'red':
			image = 'images/red.png';
			break;
			
		case 'green':
			image = 'images/green.png';
			break;
			
		case 'blue':
			image = 'images/blue.png';
			break;
			
		case 'white':
			image = 'images/white.png';
			break;
		
		case 'orange':
			image = 'images/orange.png';
			break;
		
		case 'grey':
			image = 'images/front.png';
			break;
		
		default:
			image = 'images/front.png';
			image = 'images/blue.png';
			break;
			
	}
	// document.write("<img id='note' src='" + image + "' width='182' height='265'/>");
	document.body.style.background = "url(" + image + ")";
	
	return color;
	
}

function doOrder()
{
	if (window.widget) {
		var url;
	
		if (hasAccount)
			url = getLocalizedString('Buy SMS');
		else
			url = getLocalizedString('Buy SMS Mac');

		widget.openURL(url); 
	} 
}

function showVersion()
{
	document.getElementById('label22').innerText = getLocalizedString('Send SMS Version') + productVersion;
}

function doHelp()
{
	var url;
	var element = document.getElementById("preferences");
	var index = element.selectedIndex;
	
	var helpPages = ['MainHelpPage', 'SelectHelpPage', /* 'GroupHelpPage',*/ 'AccountHelpPage', 'CallerIDHelpPage',
	                'CountryHelpPage', 'SignatureHelpPage', 'DeliveryHelpPage', 'SelectHelpPage', /* 'EMobileHelpPage', */
		        /* 'MainHelpPage',*/ 'MainHelpPage'
	               ];
	var helpPage = helpPages[index];
	if (helpPage == null)
		helpPage = 'MainHelpPage';
	
	if (window.widget) {
		url = getLocalizedString(helpPage);
		// load web page
		widget.openURL(url);
	} 
}

function getColor()
{
	// var key = widget.identifier + "-" + "color";
	var key = "color";
	var color = System.Gadget.Settings.readString(key);
	// var color = widget.preferenceForKey(createkey(key));
	if (color == "") {
		color = widget.preferenceForKey(createkey(key));
		if (color == "" || color == null) {
			color = 'blue';
		}
		System.Gadget.Settings.writeString(key, color);
	}
	return color;
}

function getMobile()
{
	var key = "mobile";
	var number = System.Gadget.Settings.readString(key);
	// var color = widget.preferenceForKey(createkey(key));
	if (number == "") {
		number = widget.preferenceForKey(createkey(key));
		if (number == null)
			number = "";
		System.Gadget.Settings.writeString(key, number);
		if (number == "") {
			number = getLocalizedString('Click Me');
		}
	}
	return number;
}

function getPhoneNumbersList() {
	var phonenumber = "";
	
	// get list of mobile numbers
	if (window.widget) {
		var uid = getSelectedGroup();
				
		var list = ScriptObject.getgroupcontents(uid);
		
		if (list.length > 0) {
			for (var i = 0;i<list.length;i++) {
				
				mobileNo = list[i];				
				
				// skip these
				if (isEmail(mobileNo))
					continue;
				
				// make it international
				mobileNo = internationalNumber(mobileNo);
				alert(mobileNo);
				
				// check format of international mobile number
				if (mobileNo.charAt(0) == '+') {
					;						
				} else if (mobileNo.charAt(0) == '0' && mobileNo.charAt(1) == '0') {
					;
				} else {
					alert("mobile number not in international format.");
					// setStatusText(getLocalizedString('NoPlus'));
					return -1;
				}

				// concatenate them
				if (phonenumber.length == 0)
					phonenumber = mobileNo;// first entry of the list
				else
					phonenumber = phonenumber + "," + mobileNo;
			}
		}
	}
	
	return phonenumber;
}

